
function SCContentInit()
	
	--geometry [add any geometryobjects of .bxo or .obj format, order doesn't matter, make names specific enough that they don't ever overlap]
	
	AddGeom( "data/geom/SimpleCube/tiles.bxo", "tiles" )
	
	--materials
	
	AddTex( "data/textures/squareMess.jpg" )
	AddTex( "data/textures/noise1bw.bmp" )
	AddTex( "data/textures/noise2.bmp" )
	AddTex( "data/textures/blur.png" )
	AddTex( "data/textures/fence1.png" )
	AddTex( "data/textures/grad1.png" )
	AddTex( "data/textures/grad2.png" )
	AddTex( "data/textures/grad3.png" )
	AddTex( "data/textures/grad4.png" )
	AddTex( "data/textures/hueH.png" )
	AddTex( "data/textures/outline1.png" )
	AddTex( "data/textures/outline2.png" )
	AddTex( "data/textures/noiseRiver.png" )
	AddTex( "data/textures/noiseNeon.png" )
	
	
	AddShad( "data/shaders/00000.shad" )
	AddShad( "data/shaders/00001.shad" )
	AddShad( "data/shaders/00002.shad" )
	AddShad( "data/shaders/00003.shad" )
	AddShad( "data/shaders/00003x2.shad" )
	AddShad( "data/shaders/00004.shad" )
	AddShad( "data/shaders/00005.shad" )
	AddShad( "data/shaders/00006.shad" )
	

end


--tileset [generally only add to the end, and preserve the order of existing tiles, as they are saved by index#]

insert( gTileNames, "cube" )
insert( gTileNames, "quad" )
insert( gTileNames, "sphere3" )
insert( gTileNames, "ico3" )
insert( gTileNames, "circle2" )
insert( gTileNames, "pyramid" )
insert( gTileNames, "cone" )
insert( gTileNames, "cylFull" )
insert( gTileNames, "cylPart" )
insert( gTileNames, "cylHollow" )
insert( gTileNames, "diag" )
insert( gTileNames, "diagCorner" )
insert( gTileNames, "quads1" )
insert( gTileNames, "quads2" )
insert( gTileNames, "halfCube" )
insert( gTileNames, "halfCubeConnect" )
insert( gTileNames, "quartCube" )
insert( gTileNames, "quartCubeConnect" )
insert( gTileNames, "fancyCube" )
insert( gTileNames, "Rect" )
insert( gTileNames, "cubeOutline" )
insert( gTileNames, "cylPinch" )
insert( gTileNames, "squareBars" )
insert( gTileNames, "cylSharp" )
insert( gTileNames, "cylAngle" )
insert( gTileNames, "diagEmpty" )

--materials
sc_MatType1 = 1
sc_MatType2 = 2

--first param of inVals is 'type'
--type: 1 is defined texture, rgba color, blendmode, useLights
--type: 2 is defined shader, texture

sc_BlendSolid = 1
sc_BlendLightSolid = 2
sc_BlendLight = 3
sc_BlendLightOverlay = 4

sc_LightsOn = 1
sc_LightsOff = 0

--DefineMaterial( { sc_MatType2, '00001', 'outline2' } )

if ( not false ) then
DefineMaterial( { sc_MatType1, -1, { 1, 1, 1, 1 }, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'outline2', { .40, .7, 1, .5 }, sc_BlendLight, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'outline2', { 0, 1, 0, 1 }, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'noise1bw', { 1, 0, 0, 1 }, sc_BlendLight, sc_LightsOff } )
DefineMaterial( { sc_MatType1, 'hueH', { 1, 1, 1, 1 }, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'grad3', { .5, .5, 1, 1 }, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, -1, { 0, 0, 1, 1 }, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, -1, { 1, 1, 1, 1 }, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, -1, { 1, 1, 1, 1 }, sc_BlendSolid, sc_LightsOn } )

DefineMaterial( { sc_MatType1, 'fence1', {}, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'fence1', { 0, 1, 1, .3 }, sc_BlendLight, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'fence1', { 0, 1, 1, 1 }, sc_BlendLight, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'fence1', { 1, .3, .1, 1 }, sc_BlendLight, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'fence1', { 1, .3, .1, 1 }, sc_BlendLight, sc_LightsOff } )
DefineMaterial( { sc_MatType1, 'fence1', { 1, 1, 1, 1 }, sc_BlendLight, sc_LightsOff } )

DefineMaterial( { sc_MatType1, 'grad1', {}, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'grad1', {}, sc_BlendLight, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'grad2', {}, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'grad3', {}, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'grad4', {}, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'hueH', {}, sc_BlendSolid, sc_LightsOn } )

end 
--DefineMaterial( { sc_MatType2, '00003x2', -1 } )
--DefineMaterial( { sc_MatType2, '00006', 'outline2' } )

if ( false ) then
DefineMaterial( { sc_MatType1, -1, { 1, 1, 1, 1 }, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, -1, { 1, 0, 0, 1 }, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, -1, { 1, .7, .7, 1 }, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, -1, { 0, 1, 0, 1 }, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, -1, { 0, 0, 1, 1 }, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, -1, { 1, 1, 0, 1 }, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, -1, { 0, 1, 1, 1 }, sc_BlendSolid, sc_LightsOn } )
end

DefineMaterial( { sc_MatType1, 'outline1', {}, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'outline2', {}, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'outline2', {}, sc_BlendLight, sc_LightsOn } )

DefineMaterial( { sc_MatType1, 'outline1', { 1, .2, .2, 1 }, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'outline1', { 1, .7, .8, 1 }, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'outline1', { .3, .5, .9, 1 }, sc_BlendSolid, sc_LightsOn } )

DefineMaterial( { sc_MatType1, 'outline2', { 1, .2, .2, 1 }, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'outline2', { 1, 1, .2, 1 }, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'outline2', { 1, .2, 1, 1 }, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'outline2', { .5, .5, 1, 1 }, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'squareMess', { 0, 0, 1, 1 }, sc_BlendLightSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, -1, {}, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'noise1bw', {}, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, 'noise2', {}, sc_BlendSolid, sc_LightsOn } )
DefineMaterial( { sc_MatType1, -1, { 1, 1, 1, .3 }, sc_BlendLight, sc_LightsOff } )
DefineMaterial( { sc_MatType1, 'blur', { 1, 1, 1, .4 }, sc_BlendLight, sc_LightsOff } )

for i = 1, 40 do
DefineMaterial( { sc_MatType1, 'blur', { .3, 1, .6, .3 }, sc_BlendLight, sc_LightsOff } )
end


